いがらしです。

At Fri, 28 Jan 2000 23:52:54 +0900,
in [ruby-list:20409] Ruby/Gtk のバージョンを取得したい,
dellin <ogu / din.or.jp> wrote:
> 
> Rubyスクリプトから今使われているRuby/Gtkのバージョンを得る
> 方法はあるのでしょうか。

今のところありません。あった方がいいでしょうか。

GTK+そのもののバージョンは
    Gtk::MAJOR_VERSION
    Gtk::MINOR_VERSION
    Gtk::MICRO_VERSION
で各々整数値として取れます。

また、Ruby本体のバージョンは::VERSIONに"1.4.3"みたいな文字列で
入っているのですが、Ruby/GTKはどっちの形式がいいでしょうか?

文字列だとしたら定数(じゃなくなったけど)名は
    Gtk::BINDING_VERSION
とか?

御意見お待ちしております。

--
五十嵐  宏  (Hiroshi IGARASHI)